// $Id: notifier.cpp 76591 2007-01-25 18:17:52Z elliott_c $

#include "Notifier_Input_Handler.h"

ACE_RCSID(notifier, Callback_Quoter, "$Id: notifier.cpp 76591 2007-01-25 18:17:52Z elliott_c $")

// This is the main driver program for the Callback Quoter Notifier.

int
main (int argc, char *argv[])
{
  Notifier_Input_Handler notifier;

  ACE_DEBUG ((LM_DEBUG,
              "\n\tNotifier\n\n"));

  try
    {
      int rc = notifier.init (argc, argv);

      if (rc == -1)
        return 1;
      else
        {
          notifier.run ();
        }
    }
  catch (const CORBA::SystemException& sysex)
    {
      sysex._tao_print_exception ("System Exception");
      return -1;
    }
  catch (const CORBA::UserException& userex)
    {
      userex._tao_print_exception ("User Exception");
      return -1;
    }

  return 0;
}
